<?php

namespace App\Http\Controllers\VoyagedifiantDashboard;

use App\Http\Controllers\Controller;
use App\Models\VoyagedifiantUsers;
use Illuminate\Http\Request;

class UtilisateurController extends Controller
{
    public function edit($id)
    {
        $voyagedifiantUsers = VoyagedifiantUsers::findOrFail($id); // Récupère le véhicule ou renvoie 404
        return view('page.formeditUtilisateur', compact('voyagedifiantUsers'));
    }

    public function update(Request $request, $id) // Changez le paramètre ici
    {
        $voyagedifiantUsers = VoyagedifiantUsers::findOrFail($id);
        $validated = $request->validate([
        'name' => 'required|string|max:255',
        'email' => 'required|string|max:255',
        'country' => 'required|string|max:255',
        'telephone' => 'required|string|max:20',
        // 'price_business' => 'required|integer|min:0',
    ]);

    $voyagedifiantUsers->update($validated);

    // return redirect()->route('listeUtilisateur')->with('success', 'Véhicule mis à jour avec succès');
    return redirect()->route('listeUtilisateur')
           ->with('show_success_modal', true)
           ->with('modal_message', 'L\' utilisateur a été modifié avec succès !');
}


public function destroy($id)
{
    $voyagedifiantuser = VoyagedifiantUsers::findOrFail($id);

    $voyagedifiantuser->delete();

    return redirect()->route('listeUtilisateur')
                   ->with('success', 'Utilisateur supprimé avec succès');
}

}
